Home
Home
  1. Payroll Provider Reference Implementation
  • Welcome
  • Getting started
    • Availability and Onboarding
      • Light Availability Check
      • Full Availability Check
      • Onboarding
    • Salary Deduction
      • Deduction Instruction
      • Re-running Payroll
      • Deduction Payments and Reconciliation
      • Changes to Employee Status
  • API Reference
    • Authentication
    • Idempotency
    • Webhooks
      • Webhooks
    • Salary Deduction
      • Salary Deduction Data Request
      • Salary Deduction Confirmation Submission
  • Payroll Provider Reference Implementation
    • Light Availability Check
      POST
    • Full Availability Check
      POST
    • Salary Deduction Enablement
      POST
    • Payroll Information
      GET
    • Salary Deduction Employee Data Push
      POST
  • Schemas
    • Availability Check
      • Full Availability Check Request
      • Full Availability Check Response
      • Light Availability Check Request
      • Light Availability Check Response
    • Core
      • ProblemDetails
      • MetaData
      • Paged Response
    • Deduction Instructions
      • Salary Deduction Request
      • Salary Deduction
      • Confirmation Deduction Response
      • Salary Deduction Enablement Response
      • Employee Deduction Push Response
      • Employee Deduction Push Request
      • Salary Deduction Push
      • InstructionFile
      • InstructionItem
    • Payment Account
      • Payment Account
      • Payment Information
    • Payroll
      • Employee
      • Availability Payroll
      • Availability Employment
      • Availability Employer
      • BeneficiaryAccountResponse
      • Salary Deduction Confirmation Data Submission
      • Salary Deduction Confirmation Data Submission Response
      • Salary Deduction Data Request
      • Salary Deduction Data Response
      • Payroll
      • Employee Payroll
      • Employment
      • Employer
      • Pay Date
      • Salary Deduction Enablement Request
      • PayrollScheduleResponse
    • Webhooks
      • Employee Update Payload
      • WebHook
  1. Payroll Provider Reference Implementation

Salary Deduction Employee Data Push

POST
/deductions/payroll/{payroll_id}
OperationId:push_employee_deduction
Allows third parties to instruct/update a deduction for a given employee on a specific payroll and pay period.

Request

Path Params

Body Params application/jsonRequired

Example
{
    "pay_period": "123",
    "id": "85",
    "version": 48819686.042107195,
    "salary_deduction": {
        "employee_id": "23",
        "deduction_amount": 300,
        "currency": "GBP"
    },
    "requested_payments": [
        {
            "payment_information": {
                "payment_reference": "12345",
                "payment_amount": 100,
                "payment_account": {
                    "account_number": "20530389",
                    "sort_code": "12-34-56",
                    "account_holder_name": "Payment Firm"
                }
            }
        },
        {
            "payment_information": {
                "payment_reference": "123456",
                "payment_amount": 200,
                "payment_account": {
                    "account_number": "20530389",
                    "sort_code": "12-34-56",
                    "account_holder_name": "Payment Firm"
                }
            }
        }
    ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/deductions/payroll/12345' \
--header 'Content-Type: application/json' \
--data '{
    "pay_period": "123",
    "id": "85",
    "version": 48819686.042107195,
    "salary_deduction": {
        "employee_id": "23",
        "deduction_amount": 300,
        "currency": "GBP"
    },
    "requested_payments": [
        {
            "payment_information": {
                "payment_reference": "12345",
                "payment_amount": 100,
                "payment_account": {
                    "account_number": "20530389",
                    "sort_code": "12-34-56",
                    "account_holder_name": "Payment Firm"
                }
            }
        },
        {
            "payment_information": {
                "payment_reference": "123456",
                "payment_amount": 200,
                "payment_account": {
                    "account_number": "20530389",
                    "sort_code": "12-34-56",
                    "account_holder_name": "Payment Firm"
                }
            }
        }
    ]
}'

Responses

๐ŸŸข200
application/json
Bodyapplication/json

Examples
{
    "pay_period": "FEB27",
    "id": "202604020001",
    "payroll_id": "84",
    "version": 3,
    "salary_deduction": {
        "employee_id": "64",
        "deduction_amount": 4509,
        "currency": "GBP"
    },
    "outcome": "Accepted"
}
๐ŸŸ 401Unauthorised
๐ŸŸ 403Forbidden
๐ŸŸ 404Not Found
๐ŸŸ 409Conflict
๐ŸŸ 422Unprocessable Entity
Previous
Payroll Information
Next
Full Availability Check Request